org.apache.fop.pdf

## Class PDFNameTreeNode

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFNameTreeNode

- All Implemented Interfaces:
    PDFWritable
  Direct Known Subclasses:
    PDFDests, PDFEmbeddedFiles

      public class PDFNameTreeNode
      extends PDFDictionary

  Class representing a PDF name tree node.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFNameTreeNode()` create a named destination

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFArray` | `getKids()` Returns the Kids array.
    `java.lang.String` | `getLowerLimit()` Returns the lower limit value of the Limits array.
    `PDFArray` | `getNames()` Returns the Names array.
    `java.lang.String` | `getUpperLimit()` Returns the upper limit value of the Limits array.
    `void` | `setKids(PDFArray kids)` Sets the Kids array.
    `void` | `setLowerLimit(java.lang.String key)` Sets the lower limit value of the Limits array.
    `void` | `setNames(PDFArray names)` Sets the Names array.
    `void` | `setUpperLimit(java.lang.String key)` Sets the upper limit value of the Limits array.

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFNameTreeNode

          public PDFNameTreeNode()

      create a named destination

  - ### Method Detail

    - #### setKids

          public void setKids(PDFArray kids)

      Sets the Kids array.
      Parameters:
        `kids` - the Kids array

    - #### getKids

          public PDFArray getKids()

      Returns the Kids array.
      Returns:
        the Kids array

    - #### setNames

          public void setNames(PDFArray names)

      Sets the Names array.
      Parameters:
        `names` - the Names array

    - #### getNames

          public PDFArray getNames()

      Returns the Names array.
      Returns:
        the Names array

    - #### setLowerLimit

          public void setLowerLimit(java.lang.String key)

      Sets the lower limit value of the Limits array.
      Parameters:
        `key` - the lower limit value

    - #### getLowerLimit

          public java.lang.String getLowerLimit()

      Returns the lower limit value of the Limits array.
      Returns:
        the lower limit value

    - #### setUpperLimit

          public void setUpperLimit(java.lang.String key)

      Sets the upper limit value of the Limits array.
      Parameters:
        `key` - the upper limit value

    - #### getUpperLimit

          public java.lang.String getUpperLimit()

      Returns the upper limit value of the Limits array.
      Returns:
        the upper limit value

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.